Bug Hunting Session
Bug 113758 - FILEOPEN: EMF+ EmfPlusRecordTypeOffsetClip record is not displaying correctly
Summary: FILEOPEN: EMF+ EmfPlusRecordTypeOffsetClip record is not displaying correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2017-11-10 12:47 UTC by Bartosz
Modified: 2017-11-14 07:56 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz 2017-11-10 12:47:09 UTC
Description:
EMF+ EmfPlusRecordTypeOffsetClip record is not displaying correctly.
It needs to be imported into LibreOffice and displayed correctly, according to official documentation.

Steps to Reproduce:
1. Drag test_libuemf_p.emf (attachment 137607 [details]) file into Writer document
2.
3.

Actual Results:  
Images which is using EmfPlusRecordTypeOffsetClip is not displayed correctly

Expected Results:
The EmfPlusRecordTypeOffsetClip record should be properly displayed as it was for MS Office (attachment 137607 [details])


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/62.0.3202.75 Chrome/62.0.3202.75 Safari/537.36
Comment 1 Bartosz 2017-11-10 12:49:26 UTC
Sample file which is not displaying correctly is available at attachment 137606 [details]
Comment 2 Commit Notification 2017-11-13 14:23:57 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6db0267156030ca24163efd9b66278f54bf28d73

tdf#113758 EMF+ Add support to OffsetClip record

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-11-14 07:06:03 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2796b7e298b7c536a87fdf9502e1a6093a041e93

tdf#113758 EMF+ Add mapping of clipped region to the world space.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.